using DrWatson
@quickactivate "StochApprox"
using Revise
using saControlLimits
using StatsBase
using Random
using DataFrames
using CSV

include(srcdir("settings", "settings.jl"))

sims = "bisection"
for res in ["CUSUM", "EWMA", "MEWMA2", "MEWMA3", "CUSUM_est"]
    resultsDir = datadir(sims, res)
    outputDir = datadir("output", sims, res)
    output = collect_results(resultsDir)
    outputNelder = collect_results(datadir("nelder", res))
    if res == "CUSUM"
        rename!(outputNelder, :parNelder => :parNelderVec)
        outputNelder.parNelder = [outputNelder.parNelderVec[i][1] for i in 1:size(outputNelder)[1]]
    end
    res = hcat(output, outputNelder[!, Not([:ARL0, :delta, :path])])
    select!(res, Not([:path]))
    
    safesave(outputDir * "/results.csv", res)
end


sims = "sims"
for res in ["EWMA", "RSADA", "EWMA-median"]
    resultsDir = datadir(sims, res)
    outputDir = datadir("output", sims, res)
    output = collect_results(resultsDir)
    select!(output, Not([:path]))
    
    safesave(outputDir * "/results.csv", output)
end

sims = "gavg"
for res in ["CUSUM"]
    resultsDir = datadir(sims, res)
    outputDir = datadir("output", sims, res)
    output = collect_results(resultsDir)
    output.optNaN = isnan.(output.parSPSA)
    output.parTrue = output.delta ./ 2
    select!(output, Not([:path]))
    safesave(outputDir * "/results.csv", output)
end
